//
//  AppDelegate.h
//  DDC Panel - Hackintosh Brightness
//
//  Created by PHPdev32 on 2/19/13.
//  Updated for f-keys and mac-like OSD support by Konstantinos Nks on 07/23/15
//  Licensed under GPLv3, full text at http://www.gnu.org/licenses/gpl-3.0.txt
//

@interface FSApplication : NSApplication

@end

@interface DDC : NSObject

@property (readonly) NSUInteger max;
@property (readonly) bool enabled;
@property NSUInteger value;

-(id)initWithControl:(NSUInteger)control on:(CGDirectDisplayID)display;

@end

@interface AppDelegate : NSView <NSApplicationDelegate>
@property NSTimer * timer;
@property (assign) IBOutlet NSSlider *displaysView;
@property (assign) IBOutlet NSImageView *image1;
@property (assign) IBOutlet NSImageView *image2;
@property (assign) IBOutlet NSImageView *image3;
@property (assign) IBOutlet NSImageView *image4;
@property (assign) IBOutlet NSImageView *image5;
@property (assign) IBOutlet NSImageView *image6;
@property (assign) IBOutlet NSImageView *image7;
@property (assign) IBOutlet NSImageView *image8;
@property (assign) IBOutlet NSImageView *image9;
@property (assign) IBOutlet NSImageView *image10;
@property (assign) IBOutlet NSImageView *image11;
@property (assign) IBOutlet NSImageView *image12;
@property (assign) IBOutlet NSImageView *image13;
@property (assign) IBOutlet NSImageView *image14;
@property (assign) IBOutlet NSImageView *image15;
@property (assign) IBOutlet NSImageView *image16;
@property (readonly) NSString *serial;
@property (readonly) NSString *name;
@property NSUInteger displayNumber;
@property (readonly) NSUInteger allDisplays;
@property DDC *brightness;
@property DDC *contrast;
@property DDC *volume;
@property DDC *mute;
@property DDC *reset;
@end

