//
//  CustomView.m
//  Hackintosh Brightness
//
//  Created by Konstantinos Nikas on 07/23/15
//  Licensed under GPLv3, full text at http://www.gnu.org/licenses/gpl-3.0.txt
//

#import "CustomView.h"
@implementation CustomView
@synthesize circleImage;
@synthesize pentagonImage;
@synthesize showingPentagon;

- (void)awakeFromNib {
    NSLog(@"\nHackintosh Brightness v0.2\n-------------------------------\nAuthor: Nikas Konnstantinos\nBased on DDC Panel by PHPdev32\n-------------------------------");
    self.circleImage = [NSImage imageNamed:@"BC"];
    [_window setAlphaValue:0.0];
    NSUInteger collectionBehavior;
    collectionBehavior = [ self.window collectionBehavior ];
    collectionBehavior |= NSWindowCollectionBehaviorCanJoinAllSpaces;
    [ self.window  setCollectionBehavior: collectionBehavior ];

}


- (void)drawRect:(NSRect)rect {
    [[NSColor clearColor] set];
    NSRectFill([self frame]);
    [circleImage drawAtPoint:NSZeroPoint fromRect:NSZeroRect operation:NSCompositeSourceOver fraction:1.0];
    [[self window] setHasShadow:NO];
    self.window.level = CGWindowLevelForKey(kCGMaximumWindowLevelKey);
}
@end
